select fn1.filename,fn2.filename,d.similarity,fpt.fingerprinttype
from duplicate d, fingerprint fp1, filename fn1, fingerprint fp2, filename fn2, fingerprinttype fpt
where similarity > 98
and d.fingerprintid1 = fp1.fingerprintid 
and d.fingerprintid2 = fp2.fingerprintid 
and fp1.filenameid = fn1.filenameid 
and fp2.filenameid = fn2.filenameid
and fp1.fingerprinttypeid = fpt.fingerprinttypeid;